@import url('https://fonts.googleapis.com/css?family=Poppins&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', monospace;
}
html,body{
    display: flex;
    flex: 1;
    height: 100%;
}

main{
    width: 100%;
}


#studioPicDesktop{
    position: absolute;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: -1;
    width: 100%;
    height: 100vh;
    background-image: url("studio_desktop.jpg");
    background-size: cover;
    opacity: 75%;
}

#studioPicMobile{
    position: absolute;
    display: none;
    justify-content: center;
    align-items: center;
    z-index: -1;
    width: 100%;
    height: 100vh;
    background-image: url("studio_mobile.jpg");
    background-size: cover;
    opacity: 75%;
}


.UpperMusicText{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
}

.UpperMusicText h1{
   font-size: 4em;
    padding: 0.5em;
    color: whitesmoke;
    text-shadow: 10px 10px 30px #000000;
    text-align: center;
}

.UpperMusicText p{
   font-size: 2em;
    color: whitesmoke;
    padding: 0.5em;
    text-shadow: 10px 10px 30px #000000;
    text-align: center;
}

.UpperMusicText a{
    font-size: 1.5em;
    padding: 0.5em;
    text-align: center;
    text-decoration: none;
    color: whitesmoke;
    text-shadow: 10px 10px 30px #000000;
    border: 5px solid #0E6BA8;
    border-radius: 15px;
    margin: 0.5em;

}

.UpperMusicText a:hover{
    color: whitesmoke;
    background-color: #0E6BA8;
}

.UpperMusicText i{
    margin-top: 10px;
    font-size: 5em;
    color: #0E6BA8
}

.UpperMusicText i:hover{
    color: white;
}

#musicsection{

}

.icon a{
    text-decoration: none;
    border: unset;
}

.icon a:hover{
    text-decoration: none;
    border: unset;
    background-color: unset;
    color: white;
}


.thefourdivs{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    height: 100%;
    transition: 0.5s;

}

.soundcloud{
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 50%;
    background-color: #ff7700;
    transition: 0.5s;
}

.spotify{
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 50%;
    background-color: #84bd00;
    transition: 0.5s;

}

.applemusic{
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    width: 50%;
    height: 50%;
    background: rgb(177,102,204);
    background: -moz-linear-gradient(135deg, rgba(177,102,204,1) 0%, rgba(250,87,193,1) 25%, rgba(105,166,249,1) 75%, rgba(117,114,255,1) 100%);
    background: -webkit-linear-gradient(135deg, rgba(177,102,204,1) 0%, rgba(250,87,193,1) 25%, rgba(105,166,249,1) 75%, rgba(117,114,255,1) 100%);
    background: linear-gradient(135deg, rgba(177,102,204,1) 0%, rgba(250,87,193,1) 25%, rgba(105,166,249,1) 75%, rgba(117,114,255,1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr="#b166cc",endColorstr="#7572ff",GradientType=1);
    transition: 0.5s;
}

.youtube{
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    height: 50%;
    width: 50%;
    background-color: #FF0000;
    transition: 0.5s;
}

.soundcloud h1,
.spotify h1,
.applemusic h1,
.youtube h1{
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    letter-spacing: 1px;
    font-size: 3em;
    color: white;
    font-weight: 700;
    text-align: center;
    transition: 0.5s;
}

.soundcloud h1:hover{
    letter-spacing: 5px;
    color: #ff7700;
    transition: 0.5s;
}
.spotify h1:hover{
    letter-spacing: 5px;
    color: #84bd00;
    transition: 0.5s;
}

.applemusic h1:hover{
    letter-spacing: 5px;
    color: #FA57C1;
    transition: 0.5s;
}

.youtube h1:hover{
    letter-spacing: 5px;
    color: #FF0000;
    transition: 0.5s;
}

.soundcloud:hover
{
    border:3vh solid  #ff7700;
    background-color: whitesmoke;
    cursor: pointer;
    transition: 0.5s;
}
.spotify:hover
{
    border:3vh solid #84bd00;
    background-color: whitesmoke;
    cursor: pointer;
    transition: 0.5s;
}
.applemusic:hover
{
    border: 3vh solid;
    border-image-slice: 1;
   border-image-source:linear-gradient(to left, #b166cc,#fa57c1,#69a6f9 ,#7572ff);
    background: whitesmoke;
    cursor: pointer;
    transition: 0.5s;
}
.youtube:hover
{
    border:3vh solid #FF0000;
    background-color: whitesmoke;
    cursor: pointer;
    transition: 0.5s;
}

footer{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 2vh;
}

.copyrightText{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content:  center;
    width: 100%;
    font-size: 0.75em;

}


@media only screen and (max-width: 1000px){
    .UpperMusicText h1{
        font-size: 3em;
    }

    .UpperMusicText p{
        font-size: 1.5em;
    }

    .UpperMusicText a{
        font-size: 1em;

    }

    .UpperMusicText i{
        font-size: 3em;
    }

}


@media only screen and (max-width: 900px){

    #studioPicDesktop{
        display: none;
    }

    #studioPicMobile{
        display: flex;
    }

    .UpperMusicText h1{
        font-size: 2.5em;
    }

    .UpperMusicText p{
        font-size: 1.25em;
    }

    .UpperMusicText a{
        font-size: 1em;

    }

    .UpperMusicText i{
        font-size: 2em;
    }



    .thefourdivs{
        flex-direction: column;
        flex-wrap: nowrap;
    }

    .soundcloud,
    .spotify,
    .applemusic,
    .youtube{
        width: 100%;
        height: 100%;

    }

    .soundcloud h1,
    .spotify h1,
    .applemusic h1,
    .youtube h1{
        line-height: 6vh;
        font-size: 2.5em;
    }

}


@media only screen and (max-width: 375px){

    .soundcloud h1,
    .spotify h1,
    .applemusic h1,
    .youtube h1{

        font-size: 2em;
    }

}
